List Events

Lists all events for your account. Results are paginated.

GET/events

This endpoint retrieves a list of events generated within your Stedi account. By default, it returns all events regardless of delivery status for the past 30 days. You can use it to recover from delivery failures and check for processing errors.

  1. Call this endpoint with one or more query parameters to filter the results. You can filter by event type, delivery status, or created date.
  2. Stedi returns the a list of events matching the criteria. You can use the items[].id value with the Retrieve Event endpoint to retrieve the full payload for each event.
Authorization
RequiredHeader

A Stedi API Key for authentication.

Query Parameters

pageSize
NumberRange: ≥ 1 and ≤ 1000

The maximum number of elements to return in a page. If not specified, the default is 100.

pageToken
StringLength: 1 - 1024

The nextPageToken value from a previous response. You can use this to get the next page of results. If not set, Stedi returns the first page of results.

eventId
StringRegex pattern: ^[a-z]{3,5}_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$

Filter results by event ID, such as evt_019d554b-311b-7813-b491-0a8973762eae.

status
Array of Strings

Filter results by one or more event statuses. Can be:

  • DELIVERED: Stedi successfully delivered the event to all relevant event destinations.
  • PENDING: Stedi is still trying to deliver the event to one or more event destinations.
  • FAILED: Stedi couldn't deliver the event to at least one event destination and is no longer retrying.
Possible values
PENDING
DELIVERED
FAILED
eventType
StringLength: 1 - 255

Filter results by event type, such as enrollment.activated.

created
Array of Strings

Filter results by their createdAt timestamp. Each value is in the format operator:ISO-8601-timestamp.

  • The supported operators are gt (after), gte (at or after), lt (before), and lte (at or before). For example: Setting this to lt:2024-02-01T00:00:00Z filters for events created before the specified timestamp.
  • Combine multiple values with & to specify a date range. For example: created=gt:2026-01-01T00:00:00Z&created=lt:2026-02-01T00:00:00Z.

Response

application/json
items
Array of ObjectsRequired

The list of event summaries.

Array item
createdAt
items[].createdAt
StringRequiredFormat: date-time

An ISO 8601 timestamp of when the event was created.

eventType
items[].eventType
StringRequiredLength: 1 - 255

The type of event, such as enrollment.activated.

id
items[].id
StringRequiredRegex pattern: ^[a-z]{3,5}_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$

The unique identifier for the event, formatted as evt_{UUID}.

status
items[].status
StringRequired

The current status of the event. Can be:

  • DELIVERED: Stedi successfully delivered the event to all relevant event destinations.
  • PENDING: Stedi is still trying to deliver the event to one or more event destinations. Events may stay in this state for multiple days as Stedi automatically retries.
  • FAILED: Stedi couldn't deliver the event to at least one event destination and is no longer retrying. Deliveries to some event destinations may have been successful.
Possible values
PENDING
DELIVERED
FAILED
nextPageToken
StringLength: 1 - 1024

Token that you can supply in subsequent requests to retrieve the next page of results. If not returned, there are no more results.